this.name			= "KW_adder_mark_III-E_hud_switch";
this.author			= "Thargoid, Montana05";
this.description	= "switches HUD's based on alert condition and ships energy";
this.version		= "1.51";
this.copyright		= "2022 Thargoid, Montana05";
this.licence		= "CC BY-NC-SA 4.0";
"use strict";

this.dockedCheck = function()
{
   if(player.ship.docked)
   {
      player.ship.hud = "KW_adder_mark_III-E_hud_station.plist";  // displays the station HUD
      return;
   };
};	 

this.alertConditionChanged = function(newCondition, oldCondition)
{
   switch(newCondition)
   {
      case 0:  // we're docked
      {
         player.ship.hud = "KW_adder_mark_III-E_hud_station.plist";  // set the station HUD
         break;
      }
      
      case 1:  // we're at green alert
      case 2:  // or we're at yellow alert
      {
         if(player.ship.energy > 128)  // if we're not using the damaged HUD
         {
            player.ship.hud = "KW_adder_mark_III-E_hud_standard.plist";  // set the standard HUD
         };
         break;
      }
   };
};

this.shipLaunchedFromStation = function()
{
   if(this.$energyCheckTimer)
   {
      this.$energyCheckTimer.start()
   }
   else
   {
      this.$energyCheckTimer = new Timer(this, this.$energyCheck, 0, 2)  // use a timer to keep an eye on the HUD state
   };
};


this.$energyCheck = function()
{
   if(player.ship.docked)
   {
      this.$energyCheckTimer.stop();
   }
   else
   {
      if(player.ship.energy < 128 )
      {
         player.ship.hud = "KW_adder_mark_III-E_hud_emergency.plist"; // display the emergency HUD
         return;
      };
      
      if(player.ship.energy >= 128 && player.ship.hud == "KW_adder_mark_III-E_hud_emergency.plist")
      {
         // if energy is > 128 and we're still displaying the emergency HUD, use other code to repair
         this.alertConditionChanged(player.alertCondition, 0);
      };
   }; 
};

this.shipDied = function()
{
   if(this.$energyCheckTimer)
	{
		if(this.$energyCheckTimer.isRunning) 
		{
			this.$energyCheckTimer.stop();
			delete this.$energyCheckTimer;
		};
	};
};